# struct Debug::ELF::SectionHeader

- Debug::ELF::SectionHeader
- Struct
- Value
- Object

##
Defined in:

##
Constructors

- .new

##
Instance Method Summary

- #addr : UInt32 | UInt64
- #addr=(addr : UInt32 | UInt64)
- #addr? : UInt32 | UInt64?
- #addralign : UInt32 | UInt64
- #addralign=(addralign : UInt32 | UInt64)
- #addralign? : UInt32 | UInt64?
- #entsize : UInt32 | UInt64
- #entsize=(entsize : UInt32 | UInt64)
- #entsize? : UInt32 | UInt64?
- #flags : Flags
- #flags=(flags : Flags)
- #flags? : Flags?
- #info : UInt32
- #info=(info : UInt32)
- #info? : UInt32?
- #link : UInt32
- #link=(link : UInt32)
- #link? : UInt32?
- #name : UInt32
- #name=(name : UInt32)
- #name? : UInt32?
- #offset : UInt32 | UInt64
- #offset=(offset : UInt32 | UInt64)
- #offset? : UInt32 | UInt64?
- #size : UInt32 | UInt64
- #size=(size : UInt32 | UInt64)
- #size? : UInt32 | UInt64?
- #type : Type
- #type=(type : Type)
- #type? : Type?

### Instance methods inherited from struct `Struct`

==(other) : Bool ==, hash(hasher) hash, inspect(io : IO) : Nil inspect, pretty_print(pp) : Nil pretty_print, to_s(io : IO) : Nil to_s

### Instance methods inherited from struct `Value`

==(other : JSON::Any)
==(other : YAML::Any)
==(other) ==, dup dup

### Instance methods inherited from class `Object`

!=(other) !=, !~(other) !~, ==(other) ==, ===(other : JSON::Any)
===(other : YAML::Any)
===(other) ===, =~(other) =~, __crystal_pseudo_! : Bool __crystal_pseudo_!, __crystal_pseudo_as(type : Class) __crystal_pseudo_as, __crystal_pseudo_as?(type : Class) __crystal_pseudo_as?, __crystal_pseudo_is_a?(type : Class) : Bool __crystal_pseudo_is_a?, __crystal_pseudo_nil? : Bool __crystal_pseudo_nil?, __crystal_pseudo_responds_to?(name : Symbol) : Bool __crystal_pseudo_responds_to?, class class, dup dup, hash(hasher)
hash hash, inspect : String
inspect(io : IO) : Nil inspect, itself itself, not_nil! not_nil!, pretty_inspect(width = 79, newline = "\n", indent = 0) : String pretty_inspect, pretty_print(pp : PrettyPrint) : Nil pretty_print, tap(&) tap, to_json(io : IO)
to_json to_json, to_pretty_json(indent : String = " ")
to_pretty_json(io : IO, indent : String = " ") to_pretty_json, to_s : String
to_s(io : IO) : Nil to_s, to_yaml(io : IO)
to_yaml to_yaml, try(&) try, unsafe_as(type : T.class) forall T unsafe_as

### Class methods inherited from class `Object`

from_json(string_or_io, root : String)
from_json(string_or_io) from_json, from_yaml(string_or_io : String | IO) from_yaml

##
Constructor Detail

def self.new #

##
Instance Method Detail

def addr : UInt32 | UInt64 #
def addr=(addr : UInt32 | UInt64) #
def addr? : UInt32 | UInt64? #
def addralign : UInt32 | UInt64 #
def addralign=(addralign : UInt32 | UInt64) #
def addralign? : UInt32 | UInt64? #
def entsize : UInt32 | UInt64 #
def entsize=(entsize : UInt32 | UInt64) #
def entsize? : UInt32 | UInt64? #
def flags : Flags #
def flags=(flags : Flags) #
def flags? : Flags? #
def info : UInt32 #
def info=(info : UInt32) #
def info? : UInt32? #
def link : UInt32 #
def link=(link : UInt32) #
def link? : UInt32? #
def name : UInt32 #
def name=(name : UInt32) #
def name? : UInt32? #
def offset : UInt32 | UInt64 #
def offset=(offset : UInt32 | UInt64) #
def offset? : UInt32 | UInt64? #
def size : UInt32 | UInt64 #
def size=(size : UInt32 | UInt64) #
def size? : UInt32 | UInt64? #
def type : Type #
def type=(type : Type) #
def type? : Type? #